#!/usr/bin/env python3

from caesar import Caesar

def solve():
    flag = open("./chal.txt", "r").read()
    
    # extract shift_value with a KNOWN PLAINTEXT ATTACK
    shift_value = (ord(flag[0]) - ord('F')) % 26

    # decipher the rest
    c = Caesar(shift=shift_value)
    decrypted_flag = c.decrypt(flag) 
    print(decrypted_flag)
    
if __name__ == "__main__":
    solve()
