#!/usr/bin/env python3

def solve():
    with open("./output.txt", "r") as f:
        output = f.read()
        flag = output.split("Flag: ")[1]
        encrypted_bytes = bytes.fromhex(flag)

        # extract key bytes
        key = [0, 0, 0, 0]
        key[0] = encrypted_bytes[0] ^ ord('F')
        key[1] = encrypted_bytes[1] ^ ord('L')
        key[2] = encrypted_bytes[2] ^ ord('A')
        key[3] = encrypted_bytes[3] ^ ord('G')

        # decrypt flag
        plaintext = ["A"] * len(encrypted_bytes)
        for i in range(0, len(encrypted_bytes)):
            plaintext[i] = chr(encrypted_bytes[i] ^ key[i % 4])
        plaintext = "".join(plaintext)

        print(plaintext)
        
if __name__ == "__main__":
    solve()
